%define major 5
%define major_gtk 3
%define libname %mklibname indicate %{major}
%define girname %mklibname indicate-gir 0.7
%define gtklibname %mklibname indicate-gtk3_ %{major_gtk}
%define gtkgirname %mklibname indicategtk3-gir 0.7
%define develname %mklibname indicate -d
%define gtkdevelname %mklibname indicate-gtk -d

%define build_mono 0

Name:           libindicate
Version:        12.10.1
Release:        %mkrel 4
Summary:        Library for applications to raise flags on DBus
License:        LGPLv3
Group:          System/Libraries
URL:            https://launchpad.net/libindicate

Source0:        http://launchpad.net/%{name}/12.10/%{version}/+download/%{name}-%{version}.tar.xz
Patch0:		libindicate-0.6.1-link.patch
Patch1:		libindicate-12.10.1-noWerror.patch
Patch2:		libindicate-12.10.1-Replace-g_type_class_add_private-with-G_ADD_PRIVATE.patch
%if %build_mono
BuildRequires:	pkgconfig(gapi-2.0) >= 2.12.1
BuildRequires:	pkgconfig(gtk-sharp-2.0) >= 2.12
%endif
BuildRequires: vala-tools
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: gnome-doc-utils
BuildRequires: gtk-doc
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbusmenu-glib-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64python-devel
BuildRequires: python-gobject-devel
BuildRequires: pygtk2.0-devel

%description
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

#-----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for applications to raise flags on DBus
Group:          System/Libraries

%description -n %{libname}
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%files -n       %{libname}
%{_libdir}/libindicate.so.%{major}*
%{_libdir}/girepository-1.0/Indicate-0.7.typelib
#-----------------------------------------------------------------------

%package -n     %{gtklibname}
Summary:        Library for applications to raise flags on DBus
Group:          System/Libraries

%description -n %{gtklibname}
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%files -n       %{gtklibname}
%{_libdir}/libindicate-gtk3.so.%{major_gtk}* 
%{_libdir}/girepository-1.0/IndicateGtk3-0.7.typelib

#-----------------------------------------------------------------------
%if %build_mono
%package -n     indicate-sharp
Summary:        Library for applications to raise flags on DBus
Group:          Development/Other
Provides:       mono-%{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n indicate-sharp
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%files -n       indicate-sharp
%{_libdir}/pkgconfig/indicate-sharp-0.1.pc
%{_libdir}/indicate-sharp-0.1
%{_prefix}/lib/mono/indicate/indicate-sharp.dll
%{_prefix}/lib/mono/gac/indicate-sharp

#-----------------------------------------------------------------------

%package -n     indicate-gtk-sharp
Summary:        Library for applications to raise flags on DBus
Group:          Development/Other
Provides:       mono-%{name}-gtk = %{version}-%{release}
Requires:       %{gtklibname} = %{version}-%{release}

%description -n	indicate-gtk-sharp
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%files -n       indicate-gtk-sharp
%{_libdir}/pkgconfig/indicate-gtk-sharp-0.1.pc
%{_libdir}/indicate-gtk-sharp-0.1
%{_prefix}/lib/mono/indicate-gtk/indicate-gtk-sharp.dll
%{_prefix}/lib/mono/gac/indicate-gtk-sharp
%endif

#-----------------------------------------------------------------------

%package -n     python-%{name}
Summary:        Library for applications to raise flags on DBus
Group:          Development/Python

%description -n	python-%{name}
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

%files -n       python-%{name}
%{py_platsitedir}/indicate
%{_datadir}/pygtk/2.0/defs/indicate.defs

#-----------------------------------------------------------------------

%package -n     %{develname}
Summary:        Library headers for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{develname}
%{_includedir}/%{name}-0.7/libindicate
%{_libdir}/libindicate.so
%{_libdir}/pkgconfig/indicate-0.7.pc
%{_datadir}/gir-1.0/Indicate-0.7.gir
%{_datadir}/vala/vapi/Indicate-0.7.vapi

#------------------------------------------------------------------------

%package -n     %{gtkdevelname}
Summary:        Library headers for %{name}
Group:          Development/Libraries
Requires:       %{gtklibname} = %{version}
Requires:       %{develname} = %{version}
Provides:       %{name}-gtk-devel = %{version}-%{release}

%description -n %{gtkdevelname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n       %{gtkdevelname}
%{_includedir}/%{name}-gtk3-0.7/libindicate-gtk/
%{_libdir}/libindicate-gtk3.so
%{_libdir}/pkgconfig/indicate-gtk3-0.7.pc
%{_datadir}/gir-1.0/IndicateGtk3-0.7.gir
%{_datadir}/vala/vapi/IndicateGtk3-0.7.vapi

#-----------------------------------------------------------------------

%package doc
Summary:        Documentation for %{name} 
Group:          Documentation
BuildArch: noarch

%description doc
This package provides documentation files for %{name}

%files doc
%doc AUTHORS COPYING COPYING.LGPL.2.1
%{_defaultdocdir}/%{name}/
%{_datadir}/gtk-doc/html/%{name}

#-----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Sat Feb 16 2019 tex - 12.10.1-4pclos2019
- rebuild against updates

* Fri Aug 11 2017 bb2 <bb2> 12.10.1-3pclos2017
- rebuild for updates
